/**
 * Created by RNF-Mac11 on 1/12/17.
 */

//var MARKET_SERVER_URL = "http://rnfiphone.com/appconfig/marketing.php?appid=1085075762";
//var MORE_APPS_URL = "http://rnfiphone.com/appconfig/moreapps.php?appid=1085075762";
var FULLSCREENCHECKED=false;

var SUPPORT_BASE_URL ="https://7starslots.com/support/new/?";
var support_url ="";
//var APP_CONFIG_URL = "https://djcdn.doublejackpotslots.com/Assets/config.json"; //PRODUCTION

var APP_CONFIG_URL = "https://test-cdn-dj.s3.amazonaws.com/Assets/config.json"; //TESTING

var SERVICE_INAPP_EMERGENCY ="http://rnfiphone.com/inappservice/index.php/v2/slots/emergency_inapp/verify_receipt";
var  ENCRYPTION_KEY   =   "bQeThWmZq4t7w!z%C*F-J@NcRfUjXn2r";
var ENCRYPTION_IV   =      "C280C6D5781ED40E";



var    BUY_PAGE_IAP  =  0;
var    DEAL_IAP = 1;
var    BUYER_COMPENSATE_IAP = 2;
var    PAID_WHEEL_IAP = 4;
var    PIGGY_BANK_IAP = 5;
var   DEAL_2_IAP = 6;
var   SALE_POP_UP_IAP = 8;
var   OUT_OF_CRDIT_IAP = 9;
var   INSTANT_DEAL_IAP = 10;
var   MEGA_CASH_BALL_IAP = 11;
var   DEAL_NO_DEAL_IAP=13;
var S_AMBIENCE = 1001;
var S_REEL_STOP = 1002;
var S_EXCITEMENT = 1003;
var S_BTN_CLICK = 1004;
var S_LOBBY = 1005;
var S_FLASH = 1006;

var S_SLIDE_1 = 1010;
var S_SLIDE_2 = 1011;
var S_SLIDE_3 = 1012;
var S_COIN = 1013;
var S_COIN_MORE = 1014;
var S_STOP_EFFECTS = 1015;
var S_STOP_MUSIC = 1016;
var S_REVERSAL = 1017;
var S_WHEEL_BG = 1018;
var S_WHEEL = 1019;
var S_BONUS_WIN = 1020;
var S_BONUS_POP = 1021;
var S_WILD = 1022;
var S_XX_WILD = 1023;
var S_RESPIN = 1024;
var S_RESPIN_ROLL = 1025;
var S_LEVEL_UP = 1026;
var S_FREESPIN = 1027;                                //when free spin arrived
var S_FREESPIN_E = 1028;
var S_SPINTILLWIN = 1029;
var S_DJS_FIRE = 1030;
var S_REEL_ALT_1 = 1031;
var S_REEL_ALT_2 = 1032;
var S_REEL_ALT_3 = 1033;
var S_REEL_ALT_4 = 1034;
var S_REEL_ALT_5 = 1035;
var S_REEL_ALT_6 = 1036;
var S_ICE_FREEZE = 1037;
var S_MEGA_WIN = 1038;
var S_STATIC = 1039;
var S_STATIC_WIN = 1040;
var S_ZOMBIE = 1041;
var S_PUMPKIN = 1042;
var S_WITCH = 1043;
var S_JACKPOT_WIN = 1044;
var S_BIG_WIN_COINS_TONE = 1045;
var S_HUGE_WIN_COINS = 1046;
var S_BIG_WIN_COINS = 1047;
var S_BIG_WIN_SOUND = 1048;
var S_GRAND_WIN_COINS = 1049;
var S_HUGE_WIN_COINS_TONE = 1050;
var S_BIG_WIN_COINS_TONE = 1051;
var S_GRAND_WIN_COINS_TONE = 1052;
var S_PAID_WHEEL_BG = 1053;
var S_PAID_WHEEL_SPIN = 1054;
var S_WHEEL_BONUS = 1055;
var S_WHEEL_BONUS_SHORT = 1056;
var S_REEL_1 = 1057;
var S_REEL_2 = 1058;
var S_REEL_3 = 1059;
var S_REEL_4 = 1060;
var S_REEL_5 = 1061;
var S_REEL_6 = 1062;
var S_REEL_7 = 1063;
var S_REEL_8 = 1064;
var S_REEL_9 = 1065;
var S_REEL_10 = 1066;
var S_REEL_11 = 1067;
var S_REEL_12 = 1068;
var S_REEL_13 = 1069;
var S_REEL_14 = 1070;
var S_REEL_15 = 1071;
var S_GIFT_BOX_OPEN =1072;
var S_MISSION_OPEN = 1073;
var TOTAL_SOUNDS = 71;

//buttons enum
//
//var = {
var INFO_BTN_TAG = 2201;
var CLOSE_BTN_TAG = 2202;
var SETTING_BTN_TAG = 2203;
var LOBBY_BTN_TAG = 2204;
var BUY_BTN_TAG = 2205;
var INVITE_BTN_TAG = 2206;
var BET_UP_BTN_TAG = 2207;
var BET_DOWN_BTN_TAG = 2208;
var BET_MAX_BTN_TAG = 2209;
var SPIN_BTN_TAG = 2210;
var BACK_TAG = 2211;
var BONUS_BTN_TAG = 2212;
var LIKE_CLOSE_BTN_TAG = 2213;
var FULL_SCREEN_BTN_TAG = 2214;
var VIP_BTN_TAG = 2215;
var SEE_MORE_BTN_TAG = 2216;
var MUSIC_BTN_TAG = 2217;
var SOUND_BTN_TAG = 2218;
var SUPPORT_BTN_TAG = 2219;
var COMING_SOON_BTN_TAG = 2220;
var ALLOW_BTN_TAG = 2221;
var GO_TO_CASINO_BTN_TAG = 2222;
var DEAL_BTN_TAG = 2223;
var GAME_CENTER_BTN_TAG = 2224;
var DAILY_CHALLENGES_BTN_TAG = 2225;
var SELECT_ALL_BTN = 2226;
var INVITE_COLLECT_BTN_TAG = 2227;
var LEFT_ARROW = 2228;
var RIGHT_ARROW = 2229;
var SHARE_BTN_TAG = 2230;
var GIFT_ALL_BTN_TAG = 2231;
var APP_FRIENDS_BTN_TAG = 2231;
var GRANG_WHEEL_BUTTON_TAG = 2232;
var PIGGY_BANK_BTN_TAG=2233;
var CLOSE_BTN_AREAR_TAG = 2234;
var DAILY_CHALLENGE_BONUS_CLAIM_TAG=2235;

//};

//var =
//{
var SCORE_LABEL_TAG = 2301;
var LEVEL_LABEL_TAG = 2302;
var BET_LABEL_TAG = 2303;
//var BET_LABEL_BG_TAG = 2304;
//var BET_HEADING_LABEL_TAG = 2305;
var WIN_LABEL_TAG = 2306;
var LEVEL_FILL_TAG = 2307;
//var LOADING_TAG = 2308;
var LAYER_TAG = 2309;
var REVERSE_TAG = 2310;
var D_NODE_TAG = 2311;
//var TEMP_TAG = 2312;
var DARK_BG_TAG = 2313;
var WHEEL_TAG = 2314;
var WHEEL_LIGHT_TAG = 2315;
var WHEEL_STOPPER_TAG = 2316;
var FLOWER_TAG = 2317;
var GLOW_SPRITE_TAG = 2318;
var VIP_LAYER_TAG = 2319;
var AUTO_SPIN_TAG = 2320;
var OVERLAPPING_LAYER_TAG = 2321;//tag for showing menu on game scene and disabling the menus at this time
var BOTTOM_BAR_TAG = 2322;//for 12 machine to hide the normal bottom bar when the freespins are going on.
var LOADER_TAG = 2323;
var STAY_IN_TOUCH_POP_TAG = 2324;
//var MARKET_URL_TAG = 2325;
//var MORE_APPS_URL_TAG = 2326;
//var RECEIPT_VERIFICATION_TAG = 2327;
var TIMER_LABEL_TAG = 2328;
var DIAMOND_SPRITE_TAG = 2329;
var LIGHT_TAG = 2330;
//var LIGHT_TAG_1 = 2331;
//var LIGHT_TAG_2 = 2332;
var MEGA_WIN_TAG = 2333;
var INVITE_FB_FRIENDS_LAYER_TAG = 2334;
var NAME_LABEL_TAG = 2335;
var SPLASH_TAG = 2336;
var NO_CONN_LAYER = 2337;
var JACKPOT_LABEL_TAG = 2338;
var BIG_WIN_LAYER_TAG = 2339;
var PROGRESS_TIMER_TAG = 2340;
var JACKPOT_WIN_LAYER_TAG = 2341;
var easyMoveInTag=2342;
var SURPRISE_LABEL_TAG = 2343;
var PROGRESS_TIMER_ANIM_TAG = 2344;
//};

//var =
//  {
var DJS_QUINTUPLE_5X  =  2001;
var DJS_LIGHTNING_REWIND = 2002;       //2002
var DJS_X_MULTIPLIERS = 2003;          //2003
var DJS_DIAMONDS_FOREVER = 2004;       //2004
var DJS_TRIPLE_PAY = 2005;             //2005
var DJS_DIAMOND_3X = 2006;             //2006
var DJS_DIAMOND = 2007;                //2007
var DJS_CRAZY_CHERRY = 2008;           //2008
var DJS_WILD_X = 2009;                 //2009
var DJS_RESPIN = 2010;                 //2010
var DJS_RNF_STAR = 2011;               //2011
var DJS_FREE_SPIN = 2012;              //2012
var DJS_SPIN_TILL_YOU_WIN = 2013;      //2013
var DJS_FREE_SPINNER = 2014;           //2014
var DJS_SPIN_TILL_YOU_WIN_TWIK = 2015; //2015
var DJS_LIGHTNING_REWIND_TWIK = 2016;  //2016
var DJS_FIRE = 2017;                   //2017
var DJS_FREEZE = 2018;                 //2018
var DJS_BONUS_MACHINE = 2019;          //2019
var DJS_CRYSTAL_SLOT = 2020;
var DJS_NEON_SLOT = 2021;              //2021
var DJS_HALLOWEEN_SLOT = 2022;         //2022
var DJS_MAGNET_SLIDE = 2023;           //2023
var DJS_GOLDEN_SLOT = 2024;            //2024
var DJS_DOUBLE_DIAMOND = 2025;
//var DJS_XTREME_MACHINE=2027;
var TOTAL_SLOT_MACHINES = 2027;          //todo change this after every new machine addition
//};

var purchaseTags =
    {
        PURCHASE_0_99 : 101, //$ 0.99
        PURCHASE_01_99 : 102,
        PURCHASE_4_99 : 103,          //$ 4.99
        PURCHASE_9_99 : 104,          //$ 9.99
        PURCHASE_19_99 : 105,         //$ 19.99
        PURCHASE_49_99 : 106,         //$ 49.99
        PURCHASE_99_99 : 107,          //$ 99.99
    };
var PopUpTags =
{
        STAY_TOUCH_BUILD_UPDATE_POP:2601,
        DAILY_CHALLENGE_BONUS_CLAIM_TAG:2602,
        STAY_TOUCH_APPREATER_POP:2603,
        SPECIAL_OFFER_CREDITS:2604,
        STAY_TOUCH_ONE_LINK_POP:2605,
        STAY_TOUCH_DAILY_BONUS_POP:2606,
        STAY_TOUCH_DEAL_POP:2607,
        STAY_TOUCH_HAPPY_HOUR_POP:2608,
        STAY_TOUCH_AREARS_POP:2609,
        STAY_TOUCH_MAINDATORY_POP:2610,
        STAY_TOUCH_NOTIFY_POP:2611,
        STAY_TOUCH_OFFER_FAILURE_POP:2612,
        STAY_TOUCH_ADS_POP:2613,
        STAY_TOUCH_INSUFFICIENT_POP:2614,
        PIGGY_BANK_LAYER_TAG:2615,
        STAY_TOUCH_DAILYCHALLENGE_POP:2616,
        STAY_TOUCH_DEALNODEAL_POP:2617,
        STAY_TOUCH_BUY_POP:2618,
        STAY_TOUCH_SETTING_POP:2619,
        STAY_TOUCH_SPECIAL_OFFER_POP:2620,
        STAY_TOUCH_BRIBE_POP:2621,
        STAY_IN_TOUCH_INSTANT_DEAL:2622,
        STAY_IN_TOUCH_LIKE_PAGE:2623,
        STAY_IN_TOUCH_OFFER_PAGE:2624,
        STAY_IN_TOUCH_ACCEPT_REWARDS:2625,
        STAY_IN_TOUCH_DC:2626,
        STAY_IN_TOUCH_MACHINE_UNLOCK:2627,
        STAY_IN_TOUCH_GIFT_POP:2628,




};
var BuyPageTags =
    {
        INSUFFICIENT_CREDITS_1 : 151,
        INSUFFICIENT_CREDITS_2 : 152,
        INSUFFICIENT_CREDITS_3 : 153,
        BUY_CREDITS : 154,
        OFFER_CREDITS : 155,
        FIRST_TIME_CREDITS : 156,
        DOUBLE_CREDITS : 157,
        SPECIAL_OFFER_1 : 158,
        SPECIAL_OFFER_2 : 159,
        SPECIAL_OFFER_3 : 160,
        DEAL_OFFER : 161,
        PAID_WHEEL_PURCHASE : 162,
        INSTANT_DEAL_CREDITS:163,

    };

var sceneTags =
    {
        LOBBY_SCENE_TAG : 1101,
        GAME_SCENE_TAG : 1102
    };


//var animationTags =
//  {
var EXCITEMENT_TAG =   2401;
//var BIG_WIN_TAG = 2402;
var WIN_TAG = 2403;
var SCALE_TAG = 2405;
var GLOW_TAG = 2406;
//var CENTER_ANIM_TAG = 2407;
//var BONUS_TAG = 2408;
var WILD_ANIM_TAG = 2409;
var XX_GLOW_TAG = 2410;
var HOLD_ANIM_TAG = 2411;//for DJS_RESPIN only
var MOVING_TAG = 2412;
var MEGA_ANIM_WIN_TAG = 2413;
var MEGA_TEXT_WIN_TAG = 2414;
var FLAME_ANIM_TAG = 2415;//for DJSFire keep this at last
var BIG_WIN_TAG = 2416;
var MEGA_WIN_TAG = 2417;
var GRAND_WIN_TAG = 2418;
var ACCEPTENCE =50002;
var VERIFICATION =50001;

//};

var reelTypes =
    {
        PHYSICAL_REEL_TAG   :   2501,
        BLUR_REEL_TAG : 2502,
        WILD_REEL_TAG : 2503,
        WILD_BLUR_REEL_TAG : 2504
    };

var unlockAtLevelArr = [//for unlocking machines
    0, 0, 0, 2, 5, 8, 10, 12, 15, 22, 30, 40, 50, 55, 70, 80, 90, 110, 135, 160, 190, 220, 260, 300, 350,
];

var vipArray = [
    0, 2000, 6000, 15000, 100000, 500000, 1000000
];

/* Daily Spins */
var dailySpinArr =
    [
        1000, 25000, 2000, 14000, 1000, 15000, 4000, 12000, 1000, 10000, 6000, 2000, 1000, 5000, 7000, 3000
    ];

var dailySpinProbArrBuyer =
    [
        100, 5, 100, 10, 25, 10, 15, 10, 50, 10, 15, 50, 50, 15, 18, 20
    ];

var dailySpinProbArr =
    [
        200, 5, 200, 10, 200, 10, 15, 10, 100, 10, 15, 50, 200, 15, 18, 2
    ];
/* Daily Spins */

/*var betRangeVec = [
    50,
    100,
    500,
    1000,
    5000,
    10000,
    50000,
    100000,
    500000];*/

var machinesString =
    [

        "DJSQuintuple5x",
        "DJSLightningRewind",
        "DJSXMultipliers",
        "DJSDiamondsForever",
        "DJSTriplePay",
        "DJSDiamond3X",
        "DJSDiamond",
        "DJSCrazyCherry",
        "DJSWildX",
        "DJSRespin",
        "DJSRNFStar",
        "DJSFreeSpins",
        "DJSSpinTillYouWin",
        "DJSFreeSpinner",
        "DJSSpinTillYouWinTwik",
        "DJSLightningRewindTwik",
        "DJSFire",
        "DJSFreeze",
        "DJSBonusMachine",
        "DJSCrystalSlot",
        "DJSNeonSlot",
        "DJSHalloweenSlot",
        "DJSMagnetSlide",
        "DJSGoldenSlot",
        "DJSDoubleDiamond",


    ];

var glowStrings = [
    "res/Glows/glowYellow.png",
    "res/Glows/glowBlue.png",
    "res/Glows/glowPurple.png",
    "res/Glows/glowOrange.png",
    "res/Glows/glowGreen.png",
    "res/Glows/glowPink.png",
    "res/Glows/glow.png"
];

//var elementsTags =
//  {
var /*1.png*/ ELEMENT_7_BAR   =   2101;  //Bar 7
var /*2.png*/ ELEMENT_7_BLUE = 2102;            //Blue 7
var /*3.png*/ ELEMENT_7_PINK = 2103;            //Pink and yellow AND GREEN7
var /*4.png*/ ELEMENT_7_RED = 2104;             //Red 7
var /*5.png*/ ELEMENT_BAR_1 = 2105;             //Bar 1
var /*6.png*/ ELEMENT_BAR_2 = 2106;             //Bar 2
var /*7.png*/ ELEMENT_BAR_3 = 2107;             //Bar 3
var /*8.png*/ ELEMENT_D_BAR_1 = 2108;           //Diamond with single bar
var /*9.png*/ ELEMENT_D_BAR_2 = 2109;           //Diamond with two bar
var /*10.png*/ ELEMENT_D_BAR_3 = 2110;          //Diamond with three bar
var /*11.png*/ ELEMENT_I_D_BAR_1 = 2111;        //Inverted Diamond with single bar
var /*12.png*/ ELEMENT_I_D_BAR_2 = 2112;        //Inverted Diamond with two bar
var /*13.png*/ ELEMENT_I_D_BAR_3 = 2113;        //Inverted Diamond with three bar
var /*14.png*/ ELEMENT_DOUBLE_D = 2114;         //Double Diamond
var /*15.png*/ ELEMENT_TRIPLE_D = 2115;         //Triple Diamond
var /*16.png*/ ELEMENT_BONUS = 2116;            //Bonus
var /*17.png*/ ELEMENT_CHERRY = 2117;           //Cherry
var /*18.png*/ ELEMENT_SPIN = 2118;             //spin
var /*19.png*/ ELEMENT_WILD = 2119;             //wild in mach_12
var /*20.png*/ ELEMENT_PENTA_D = 2120;          //Penta Diamond
var ELEMENT_X = 2121;                          //X
var ELEMENT_2X = 2122;                         //2X
var ELEMENT_3X = 2123;                         //3X
var ELEMENT_4X = 2124;                         //4X
var ELEMENT_5X = 2125;                         //5X
var ELEMENT_7X = 2126;                         //7X
var ELEMENT_10X = 2127;                        //10X
var ELEMENT_12X = 2128;                        //12X
var ELEMENT_15X = 2129;                        //15X
var ELEMENT_20X = 2130;                        //20X
var ELEMENT_25X = 2131;                        //25X
var ELEMENT_40X = 2132;                        //40X
var ELEMENT_50X = 2133;                        //50X
var ELEMENT_2XX = 2134;                        //2x in array of 243 or 253
var ELEMENT_3XX = 2135;                        //3x in array of 243 or 253
var ELEMENT_4XX = 2136;                        //4x in array of 243
var ELEMENT_5XX = 2137;                        //5x in array of 253
var ELEMENT_SPIN_TILL_YOU_WIN = 2138;          //for spin till you win class
var ELEMENT_XTREME=2141;
var ELEMENT_BIG=2142;
var ELEMENT_SUPER=2143;
var ELEMENT_EMPTY = 2148;
//};

var HOURLY_BONUS_AMT = 500;
var SECONDS_IN_AN_HOUR = 3600;
var SECONDS_IN_A_DAY = SECONDS_IN_AN_HOUR * 24;
var GAF_OBJECT_TAG = 8888;
var CHIPS_CAP_LIMIT = 25000000;
var DEFAULT_EASY_MODE_BET_LIMIT = 1000;
var FB_GIFT_REWARDS_POINTS = 500;

var TOTAL_MACHINES_WITH_JACKPOT = 2;

var MINIMUM_SPIN_COUNT = 1000;//Grand wheel
var ONE_MILLION = 1000000;

//Deal Constants
var NON_BUYER_DEFAULT_CHIPS       =  440000;
var NON_BUYER_DEFAULT_PRODUCT_ID  =  purchaseTags.PURCHASE_4_99;

var BUYER_DEFAULT_CHIPS           =  1500000;
var BUYER_DEFAULT_PRODUCT_ID      =  purchaseTags.PURCHASE_19_99;
//Deal Constants

//Share controlling enums
var SHARE_MILESTONE_ACHIVEMENT    = 0;
var SHARE_MEGA_WIN                = 1;
var SHARE_MACHINE_UNLOCKED        = 2;
var SHARE_TOURNAMENT_WIN          = 3;

var CHROME = 9001;
var SAFARI = 9002;
var FIREFOX =9003;
var OPERA = 9004;
var BRIBE_TOTAL_CHIPS_LIMIT =10000;
var USER_JOINING_VERSION = "userJoiningVersion";
var FB_TOURNAMENT_PICS = ["145153142692364","210173419493847","768661866636607","768661866636607","1667743970187194","424087894594464","816925905138113","10206867875174104","10213510308334986","1479016928807032","1487230991308825","795025010662356","1425635614123611","1434753683213102","687863964734408","1530447730332723","985234864951933","10210442518452721","10208467220987938","289872408119734","207849326394744","1691460241150635","120805808489686","1456879901012645","10154531586897011","1443670985684732","1336658626421493","241351136350655","1987425821492411","1880377522231045","1933610086664879","1821142701547105","1457256087628339","430046534038663","420890124957460","1877630859143229","1043931485708369","1871049459828932","120130075226484","1345762228849825","10209084658179063","1946584348954209","1028226037310246","154059121797858","10207146181372821","227255394428477","189802724876629","10208955466152594","789079287915365","10154444326851776","306505433115838","1529988930347498","10207384584893162","10154744149276523","1447031808680384","10213753191972306","1343787472364624","257463607994432","1635244863182935","779066632257690","1425531267490407","853566484794303","279784032432826","1718866785079656","1694914637205200","1060438327423510","540529843001532","209765049532598","10210329327568265","10209301601840546","1790114901303322","146106842597093","1667573533543217","10208938934057273","1753089448051625","662984250557332","10211708255999149","10155262220886996","1896218263968822","1485935771458679","865401806948873","431920803835485","10208630022248482","10208141714254007","1700634416632602","1792803767401466","1425867280769986","1571895486154426","296602930768234","10212080457063639","675448229309108","1370230656392077","1222131731218972","1222131731218972","1244029435634475","1492089617527924","1548949835138028","10155292704428875","1864902177169764","2099425120284286","10210984985439505","10211291180949728","1331579270259585","1640067629354659","736916423157858","10203173666539717","1292388784214673","1687513551266785","1859979310994059","265840963825953","1803607516319857","10154646511467291","10211301512685916","1734992539850310","337152260033724","1037973453004693","1256826681081929","1543397419005981","1900283280208854","1361717050586842","10211252688245939","1468146023237800","1375860962480734","10207736806692179","745552458949048","737037619811815","10207142576122523","1335839373136114","201453013697720","1885577468321271","1868910213369765","1340577839314360","10211459347338205","1181606008617869","1205640682877576","1757351164280529","413788602340824","923451697784476","1344671552253712","1831897627074183","1419808541398855","460439464293520","828260327321111","125889047965620","10209885605882855","10156181903944447","288790038245720","877572075734002","1909966052620203","1384892704925733","233136273837280","2274058829486661","10206928731055009","1241735969272711","1775106355836537","1391990074171835","1644196148942680","1423156107727846","1457775917616295","1313510858748015","841012569389658","295575344223232","1406874269369664","1354765677941502","1520024758070747","1363665583721765","219625748542979","1498459926834128","10212742427581355","490999321291384","1478650658822163","1429708417091069","1043125172455896","10212551445238091","671974716327603","538061149915015","397534197297687","1903157406633494","729466613900415","1686398748041212","205109453341253","1528741003825287","412894579078892","1661771050513496","1235653536560961","1354238557974749","1491816897541475","1532008643497913","1576972912348149","1026967060738843","1493046424079803","1327778653983777","1870270043221926","1787309091598109","1903493183259470","1711071372252763","1525030854198197","1417696084958485","305728523190076","132708283945897","763834273791521","534467860276670","743970039096918","333428720409761","1787356828260757","1333517450073035","1481965185207159","534283876961191","150861438786478","954403751367632","1709330259359694","474574526207358","1602961646423077","622504227944996","119762478596147","534884486900652","338202039930833","1353838984684205","1289080064472531","1578478505516628","469704360038157","426374257737071","10212503787540177","530820883973599","10207275818328580","1557028457649220","1557028457649220","102531946994875","734963779998283","472285903111922","1374448355925615","467759390225979","1853118268259488","1240812199364792","1240812199364792","10206804687315877","10154314577340216","10154314577340216","1884575298491493","1339947519421602","1666928783321385","1933387316932634","1540379909315239","640529619477515","10208612802345265","1971061269780416","1085446998254842","1311077868986525","1872439246356959","804540036365507","10211756151891563","2319481264942806","1399045076809784","1660958393933148","1282725041846858","1890934117785501","1312004905585264","1682612842033045","1292431707544498","127962281098748","1432922373434386","10155642056547439","461022067606587","1830768593908978","1046999912101344","462967634043850","1675484035813982","1544570462242019","1192028694252269","1887640314583279","148656439007859","10208897712536334","10208718070975810","1463159470372009","785041641654207","284384498688943","10213273757744576","1218382291618162","278370455961361","879788975493786","116740068901733","10211388128237844","1566612450038766","304251560015810","327944724290005","1948349925399110","1905990876350855","10154546022432227","2042511282643022","1842948035967157","1249580318488023","1773564699622912","300230713764540","1664640470214526","1903464809679261","302707053492923","1315783301803719","1936614283284736","164353274097042","1946362588920782","1299167720120918","451810125167291","451805181820163","10158758406415014","1327776423938246","1481134758614436","1942640435969993","1887444084864073","701388270066720","433418937030371","757666091081480","163758704157260","1333194383430614","128005334424072","122838761617647","10211213155661955","1927507914196705","10154347726121637","200290083824083","1569515486446410","10155276831359049","1354085421333896","10155004615885845","1968229826739408","1688845667810046","1356226964459811","1414583421954254","1051353308330028","831954353623463","1735377323155722","1572006102809782","1469698789718959","121205018450972","1885690448123754","1295167947246028","296748130781550","1662625157099802","10212373749679878","10212754637009224","829620457190170","10203265238348602","10208893930095457","1918890028394722","1372634426187032","1911494599126897","1824011107918634","1515707065141013","1891870077738327","1502289149845760","778188122340564","650410968488708","1369418383102020","621545534717802","621753364680938","10208743082841028","252094021933226","1497681873583762","1495499633833593","821241801385761","199766580542039","774034262763380","10212673572664542","1902701559755514","1958607244155737","421267538271741","10211761529689110","1747323138667225","1344156302333852","1380701778678282","809021065914022","1705485173085030","1967955136761304","1469393979770389","1035878643209821","817890175032442","1584168704951422","1529510250395189","10212465478615065","711922229015030","219459921890061","257442351390342","166929787170836","669900259876878","1046690142141242","839967266179296","414415538922771","1278374932280283","1377577758974917","1879191142294128","777653349068870","292973551161069","1906166306375141","10211496862449980","1765113353799602","210164959497905","1292063200912120","1765113353799602","1314006228717431","10155136079592184","1544270662271803","10209689142885860","420591538340182","1547417271936093","714498228758666","1354759627940613","1788377968144799","10210468581564465","432014513826167","1762815920697606","1645966962134382","1342598432501213","1645966962134382","1392842810803369","1709314049365701","1336597923098551","1892394380982850","10207765612491990","110875362824541","119754181931582","10211175512177580","1153661414763524","300146493731204","1155413681236941","1359018800857785","1969834783261926","1431937530178678","1979407005614580","1979407005614580","1979407005614580","621683068041691","1321477314571959","1624759200887704","809501075883640","653444684852577","1182378471885039","1526216677408861","454318884904495","10213020026723182","218012408694550","1267085030075304","1708550376117734","10207304547726918","1380038752089555","10212837211273372","269185683542861","439525053068654","1269425589846326","220058041820764","1400799979958089","193285094525021","1298085046926283","1348250775255230","2023333284568721","422333764832002","1533090910036087","1397805460299184","10213580462485539","1498620326879286","793930287449431","1896639983951087","10155363280344038","1720920567934822","1707382459555472","1573310162741692","1499638840055664","10212723620110065","1954061931490596","1545036338848999","1920877538155842","819064678257183","1265719576810161","1874351839245250","10211496693666315","700625936790850","1508987479146746","126398874588357","10210553491048229","1447458675274809","1576340712378979","462083430850362","824976610992135","122519598318379","1541252962554010","725827570930587","1515424918510357","1685098831504822","1063590397111111","1334217939967147","1762757950702725","1447652561922359","1551610861540362","1342554779161483","422630008118985","899282706877842","1056634904470125","1902052753404900","10208916576656414","289306794854055","1315962505184923","1547961048579404","10208326162044340","1520224708009592","10209401973231644","765264443643666","1432711086789066","10210460952733738","1412852248776506","1283271798437122","10158145377282355","1796658077316992","1873253926290993","1515438001809838","1114227832056088","1949393018631370","1802073200108613","10209025912033194","1342092752494822","1793783060938291","1891376041147998","10212579500068654","1555522554458649","629825620540806","121436955094604","10211855700541840","196523354201862","1563869853647161","1354503611270393","1324793174269190","164983054033526","1952203361681491","2257970144428886","10209032313180621","1540275125992108","104301356817415","10212148290649884","10212945096247992","791935780984311","10209034550366490","1371883339515679","1738743916416851","1359786484099107","428833487502903","242215172940243","1546286298750073","10209108118875378","235329143619351","1935153106764807","1514419425256449","1838017059793924","10155423052412873","796713327161368","436237773406672","124976618066119","1018922604910923","814181965425466","124295511468438","10213217645743991","1671640222850645","1915529665399291","1327650994016851","289382748155139","1287335881373592","1501270133270922","260033507798117","1957933401108395","1359953467420884","122105168360577","1936618423286439","1389450091093811","851379041692009","1527470900617649","10206951576746856","10154421109826681","1712754345692041","118254815416017","693272447523356","1880929645511208","132082260673785","1976119492621468","1352599681494010","1592513774116791","217095462116859","1121232064648805","1950557088563300","1904094983205865","448226778860767","10209451294219430","10212423661043997","775565342624541","10210779338657009","1402540929805142","10209230812704467","1501085429910147","1779507082304715","1677006962324660","420600464986810","224416891388053","1332608496824677","1081716245261955","1722203131140034","1705051389509624","302671793523115","261593480982396","269108506884382","323419101408621","1805106436474229","1886762261572268","1475089282553408","1157706804331830","502698543454284","10155459538939236","1285875088195887","701181866732034","1364706230275099","1431755730180596","415953272121628","988864097916596","1850069498645713","10207687298375221","114212782489357","10206995765773130","272842309853041","1660743310620190","1325184747513084","1293521537427784","253533525122374","300898340338040","1046055268859755","10209649021202509","1547625015262266","1672782186357552","10208530412810389","1367620636689195","1777248345938173","815460775297520","1746994931980626","1213147838813436","245508119264802","1519944748057436","218528718652076","1861713874154755","126593241230377","475138276158068","1680917955547775","1286910964763645","10209248787160943","128593631030800","730167927144214","1491581084196512","176053802923519","309658449473415","428808600826856","293197944465762","434379483585438","1550189921667557","1564977940181566","469265280079534","1486690838061585","420261631663330","1858041514460394","1901903726723450","10209102822193853","1120316034781364","537276486443074","1497721826926764","10208929114293010","373688563028373","438326569879836","1817871311563097","1877723539111244","1103946269711080","1972087873077796","1453425354719652","10208626835977196","1390342054380034","10211651004901976","327531300998859","176686016191442","624136041129154","1418276324884640","1892317541035226","1546398388704303","879282938876345","1348502225230085","1701977189831151","1276622985790451","10213576363827288","10211232025228179","433783910319789","1503432279700884","292937247784992","1499617590080461","462030040809303","115577102352664","818414751649871","1667567720219682","10211800977492817","298570727254585","10155336533354111","308413939523566","10209408546072407","775637752617114","188895854966711","1408612849206654","1346878672062763","10203142842967848","10209021443798208","633805880143701","1108944482544334","465039930507163","123820978186277","292639957844501","519205418468881","349285175473739","1364485773645444","1919972138217029","132731983940819","798111837023680","10207508205537838","635317063339647","1492184730791925","1329849947103541","809471529218399","211305409377549","479260915753625","1561255930573979","1715172365162862","818839708278516","1874112899521007","361921054204729","10213292404172582","223889188102006","1437196026346382","1923104841305575","10210234070140854","1424535334252583","1963135790576242","1262631283849876","10213500930546112","223973914765622","1269305613118679","1727849777255692","1865485777004420","1843582229298913","10207441364431470","446594985673408","1946685412280125","1598632170149392","2272842229608085","725122351000276","266621820469264","1749535815336627","1290114951072886","120528188519109","1459183930791827","1907070529507281","1674041032898965","1562050413869815","1644653632219060","315444872225660","1430021983716881","223955231439864","1583083155058551","1509956559046061","286972061762832","1884325938506184","1567817339917439","1767548373557894","437464923278438","10154515233411475","1646986018648087","1781411175502578","1512816428792256","434283133601329","300779373691809","1718179591533009","796312970543730","411346869240198","720751494769465","303578070086435","453875698285884","10208260142654236","303505276740365","1728563324108544","1887230124824271","443452902670675","1387093358049171","10210411958969813","426348067725559","1365998396814265","274226773042866","1757276777897380","528292644227855","1931662620192877","793785417444963","1782248485420535","1287046914750368","297420374038000","1880205278671996","10154759524997620","1895154007398524","1946548205576079","1501138286617054","1569961916350031","802546986588740","1926291194322058","1325347650852224","292199161233629","10207201178667558","1712669752080015","478963299104559","10155377164995530","1337685426319911","1496569150377384","10212651681905015","762199753950119","123516408217960","1299748710074415","656845154505464","1978170015542041","10155437240794172","1288145617971948","1187349634706679","175999809594728","756479724512480","10213178664890137","1882137852027296","437291706653893","640461336139863","1853937584929896","1422186397862989","10156102499405744","1885999004992141","615517968645157","10208774993643365","1334463753267708","1770459436577920","817681735060787","1547569388587990","1668153440157557","1295300940590243","1405382312863892","10155119048471136","1840924486235006","1321530864551144","1134229536688625","1838341286487049","1903527406594083","291101801316403","427888407588833","1745510965475705","1382392575161022","1161880987273803","1455331114523087","1009997512469926","921658964664666","805238232976522","428292830880935","437454493302380","121934318377018","1704966899520164","107998443113452","10211054073540135","246261702522979","1541453635865048","123416644893911","10208727980866818","10158525135465408","10212130794277840","1048991278534014","1567180913326688","312307372516136","1923571437931851","1515871018465505","10209446272494825","358490287886543","10211446245208596","1550578258288575","1428565150567715","1534406116590722","444200242580162","10156242999424478","1341864262566152","1873961739529022","111519709426823","1207447669381979","1895792007360905","1363980597000813","1904710963108887","1371149009629136","1449434015078187","10211883026623586","10208819164662625","219565861891437","277016522708404","1310748885668757","1326270577452045","1510898568942314","1725765244107958","1680958321933173","745616135620852","121768798395167","1567842709894496","1515172741847785","332409187176064","10213312953245377","1296070617177670","405705649811679","1645763585452845","1160751784037290","290508621395181","1856584061262953","10213790317458785","1491167490954000","1720308701318408","781140635387223","10202983323219329","140946889782049","10209490882731347","302407960181326","1699870373640187","10210759122152844","1005232349612700","1615991345095165","10210863993614634","1481188815285455","1451656911564471","1303506449718469","423273594710258","1734956723469348","484445611887477","1850750645249519","1487462031304274","10207359454103627","1587430521299590","936787369796769","1423640444362994","1560036604067496","1397379316975413","1516223158422015","1318991104854106","166103993921586","1512555265442199","1320788327998472","1523871320957364","1894406777443219","1799158853746486","10211552318116642","998396313629693","1424191524308630","1246349422158012","817799531717147","1170094446470256","10154445842891587","1417498661648033","287284531697149","1323687377715931","1522909504388515","1542416312449451","1365982930146868","667355243466850","1345458048874656","452086761812050","1952795331662203","176217089570666","456272078040293","1580087705349130","10213316440973977","492053641185816","1858078817848559","1904583053091528","459636611047284","10211352498186090","426994757674109","254583914948756","1367431706673278","747334968773133","426308204398794","1331395596973815","459071034437766","10158681853330471","1921572598079557","1815933782058916","1292531150794582","10155076923779845","2432308753661981","114288862481790","1562824003762922","792020197634710","805723882919184","1275232709262018","1956567884484349","10209260412524180","1955977027966605","10203561637517866","260287677771682","10212818709683639","1167597903369209","1133485980130532","1763424953683922","1210952109049936","1975902145964338","1161163717328569","129588770934322","417821735254779","1919334885013754","309166469528251","658658384325936","279051999172875","460236447645489","1723241577702530","127493264475550","1650083955021728","1692452024117795","1450135818372628","10203007186017593","1425900940766755","1253870001378794","10211328813087747","1172787666184046","309443736158592","220909861740941","253472871723608","1869280693085842","114341739143919","209068396270756","1448459241872769","10206942897970819","1151814241631777","1176531379125406","1219101831531733","1331017583673068","1439706182755589","10209407692011003","169832506881182","103169566931630","342302509518127","222930261534478","1366302500124442","420199378353472","304374229967969","1905406839730759","1841861539411813","744897282337056","439029463141425","112775775967282","168075537055428","10209486660146778","10213009719187026","1911305329124721","10155294744458627","2285192095038528","1460622810675089","256992678100183","436012893422117","1536489776375517","1933492333551459","1863399587259751","407820919589040","10209451572708012","1055006474644011","1367921886618588","1373639029379432","1444134088980125","106234409957046","1450291374993979","374380886296452","335298313551378","1490106844397750","1467973353252890","10213310551062270","10211416315755130","1730559800307552","1197339053726426","1390866537670699","1877133985867968","1487153284703794","743369485843923","1631891606839037","1456849754428658","1537611456310522","808987485930355","1286554188110476","1938596363041400","807219139431476","10208531870684559","724795781062433","1380906048658673","765058433674176","1610165409024152","1713432342020277","1824429864551746","257808494692439","10207072647613439","1406767252734006","1739695232723668","913567095507494","1629288333771786","356321034769706","1886493941603337","10203432240042709","730734107099064","1971193453100808","1661547100529712","10209210511081568","1159977314113844","10210587033605909","144825616059241","10211526413409381","300785427028939","529868734069689","1093398500804470","10210189457116225","1038094032991116","1098252006947777","416672055386466","1998402870387935","1602260399784017","726028454245412","814845808684375","656715677862782","1353936941338744","1919131645034000","10211348409779262","1422879237772207","128588027701352","605055773027316","116721638903813","163290804204460","1381826038564281","726289504244256","294815894306547","1657310444296961","514108555646377","10213150014200438","1228526420578503","10208898973383596","405631363169702","10212621729969255","1422309494495740","10211480115470568","123591918209463","1190750141035271","1840193856233105","1261138820651628","1278493195533557","1792828974379409","886564864815103","1350406968380300","1657097827651989","1847081725614031","208358786341812","1872208533027898","662153310651079","1586846691340194","1547108861986878","1936380703264640","176489772878507","440367899650409","1904190679868539","988565417947088","1681397208823659","10208753904708502","10213146702405613","10212606801029706","275113292952551","10209059762797572","1937561836463161","1330388403676583","201141790404957","10155261895870890","1968068463430099","1715622792068978","211693569340748","10211548287616079","10211653480644050","772260619604033","308800832886601","1191816030929122","266887157053064","1712449922102725","10211950978986558","1440048459351730","1888700078012636","327169061032567","10154959613441077","126804067873648","1790395681274077","672983836245874","10155324683184894","753203324864819","1209911782450664","843681812461712","222222314938169","10209366005734737","490750281256654","1430960847020855","1380965961952709","1587329204625058","10210973423625446","1429195083807377","10211925367746428","10209001476143391","1268732783196382","799543753528431","446181765742829","10206778558942064","1420487574641187","1881206648826312","1379586452084970","217813398712232","223960018106142","1376570652436316","1369128273180703","2255809917978300","517127118678021","443834715969156","1335136456573656","10209824694514333","1295574580561985","682248385291572","10209918419778856","1860396594233013","10203428242263018","714395728732001","1382851061808532","1925999800980051","10210907874231296","127440101144047","1705492289477266","10213465748583786","1322000984520849","1348686275226326","1960271764202615","800562100117639","1082336145232823","1435736626487396","1920034328265553","296645937444571","1307986005987511","1672441039717711","1324033391027119","1476153999096788","115069802403233","1590601384325764","10212557541764339","1851076228465299","1291239497611943","1420845517961220","10202933918864597","1907517139488612","456527941361234","1514328021932077","1706436932707570","990217654447922","1872034356380091","122396441662633","1878847635704539","1327366327384783","1650635348354689","10211233889796564","10211650507914235","1165025736934742","389614408106065","1854985111388760","278311559297137","10206764716114811","1470717782950111","677262022477424","783384685154316","1366099050093729","1158713484240536","10211504063654419","1859941827353130","1688249081192905","1900946650175986","10203056666054073","1182222111906736","1272604106121763","10207510139906595","2120865824826967","873406262798687","129604894260401","1510997475587219","294879867635530","1499326343472191","1773965392934255","1878796119025711","261722817628747","1685854768387445","1309288142482991","1323833417653769","1276332035816751","1664338463593994","10213282053235868","1106293086143272","228183464347600","1333653153422041","10209923240500734","822830344532953","10154764076072734","1648697581824939","1517907968241097","1975915092630596","615241752010355","1856496168004812","1117364995036168","1394427810604130","713520742167775","1558133614197404","10209228023604083","10208874450565599","1150045091768243","788163571351655","682672551932535","1444536302273079","746334835537638","165231877342115","703933469778279","10203260836918378","732913943545315","1330929136989426","10213242767250321","210119882831264","1775233756120890","10213071390721490","10209408548032403","989738844496519","10206857122106788","679952605540627","633566536849868","497808920610554","10211406755877886","739728052873854","1494851203920981","100231817226473","220730218419713","1907311476191787","1662195617420592","1597161940294957","1575679999132229","1667068073601317","2302367726655248","10210911446720945","107798569800297","1431844116874270","1521599627852580","1694724377224292","298099080647881","1293934137386454","1465086406884271","801517056678767","1743944988953494","221807874983280","1324529160962171","1063205083779906","635572876641381","915268578615071","1343401145736327","1957695884465210","187028551819221","286357628490279","1578696135475158","1175578062550648","10210646827905245","10207207448223619","1764051233905962","10212174154856418","1426895884070653","428276950881957","1863731567207017","1420099018057941","1335355959891949","292307177888255","644763549046978","372437466491469","1843338302658562","1463254657067543","1739497372746581","1090801507731071","10158989425415019","208745566304693","1885471865025355","760094924149871","1563267470383977","10155148089341166","217025038803803","10154281374336403","1105043789640167","1810317819285101","297946583992112","10212236056232575","330768004007667","751910144991562","1391004754279293","682962135223720","10154737485483458","1905075256415809","460626024280062","10154336023686090","1439329096087846","1919815828264191","1332734963488249","378553202545729","240767659736331","1882461181779329","441883976173213","294479157645607","406764269710695","10213042214873837","1892059037732782","220619921764655","123484968222048","1512101485530397","275791736159826","1914834845420313","1911330395779089","1052439228218315","1553010228043110","10203221283729470","1462129823839746","1890169134585367","10154374557876644","1292680187513094","10203268508270945","10211188011808712","1526751744010040","557397557981249","730239177155586","1917742615106074","422483178108750","1402672943144217","10155083909956480","1809645249352665","410411966007593","1339851182757187","10155149938604765","10213112430665887","1501753849875245","1360781357346466","792617697579953","1697167223634616","10213363890196013","1401297583282982","121414228431634","1426631634026487","10206919386143005","10203201291229727","434083433634978","1512369035471008","1905928306321645","1487558924642975","1437410499649343","10155376670264433","1326978684063983","948553961952915","1303759696360189","1840376896210919","10209912749270836","1872395816357664","1355956364499251","825733207589162","1142188545927606","411265125926303","726382750866098","775781475931411","1515281395213993","1681046608857161","10155309802784841","1935561470008626","1456372081099921","101317050451636","469954063347668","10203194948190709","293433137734512","1858449131085146","308429799569936","1902453516697680","1659061027467715","1395536743845103","314196898993211","1903523639924348","10203206070229265","209793199532271","1206193592839852","1725381754145269","10213166061727084","1859597904276433","347027185712426","1514247505313784","642079715997314","1849632751963267","10208940283412529","292186757873853","211041476079007","1463293007024551","1562305530459725","10213250320197688","1530735226957753","1782788055367672","1374465302621274","1923110077972871","1880088125536331","233780793771820","1236958679759466","1671507026489841","645348572330539","1340216026015032","10155260830111948","10202864194203001","1910808998945361","1936630546582930","1571814539495413","10208396342580680","186124361910509","1748144831879277","10155403895391349","511672792290215","1713677178649272","162705247596253","794139850738962","1272631272833104","623512024518850","451671245201741","10213174516775446","1507789649283881","1947223655512182","484298481961865","1502889119784094","114953752415477","10203095431783565","10159013220935001","1903987809839505","1410990548947764","10207323861494493","804999706314166","1274662999321943","803964183088000","10212448980956201","1060017567431137","1715411481808419","1342822122420448","10154670700024499","291343821291073","790496141105345","10208843685991533","1436602893063414","1393420637348079","10207230159427414","1959092387653257","822450397919503","222805254876739","120152121892259","805323436298563","1489355231095476","1200181346760631","1873075916274369","770809749759717","438503143180785","10208036843712160","10209437201229483","1033923740072265","433396337023229","1961353520557566","10155037291980465","1343892948991150","1385134824865366","1958328691067634","1209047769204796","1899860500282465","1395661573825873","437008970007780","1508495402515870","10158865429960651","1405555749511609","451380968541712","1889054664715676","1837082436509180","388247511568912","1524421577602088","217287865432078","10211306550893843","297978860660696","1347585501943461","1781002668593306","1330312533714025","909873882487720","1977997169090726","853724221451358","131072834111582","2256830497875848","658313701028417","10210990793258844","10154798177319086","1751831348165421","1524365444280581","762449707256227","1300230520072762","1350049415061440","10210732194719109","700064343524466","1810362065896200","1905910882996270","277954579341880","538419116547890","1361130003962868","10210971630940238","1790161314646767","825535090943384","417774241940472","1562853083748934","204510520058791","1333303036718512","1304532259642396","673262649534827","1375792239125833","1330021327074691","1917579035191010","747831525391940","348940292187532","107819026465042","1135068056599249","1549958311681223","1544992108866325","1541104885934237","1728894030454150","703067396568852","1110095879096593","1942102662667845","1437549006303460","2288252481400883","1902400853118833","10211836347440078","1720781824603735","1360906253997732","10212665052092224","386005951793695","1413263418738221","10154288783636910","191836301338823","1376526832436505","1743357309024065","776069029228982","10209413839558046","10209297069050339","1844081009175718","1585015528199449","1910519749167234","1460869100601488","1803257913337080","1449919605054912","412016455849244","10206390184071687","1947274632171085","1664818123547557","1348888465158871","10213192959289588","423492084693347","1966598770241326","1689692544381000","984305325039302","1434115646647138","218053268699315","1706725066010969","1824954007822712","1517443198268826","1437911462958355","1646584172038318","10155259765138416","1348462791855522","1788410651176132","1601580826537382","10209498643848631","1758711967772847","1539501089413635","1549318511748127","224537421368436","1408200995941414","10209226805242283","1385347541544596","524376674619543","1247513638693257","767510553417853","295092627583892","1855114654751543","1790102364337027","10158613127940587","1524160547701480","287486488365002","872106629603241","429520854090442","1319234198160954","1443938665668843","1891735691092950","226615154496361","1374218275978731","1900056876897033","1440190149376908","10213094679786424","171599823368890","10211643801563253","10211085721212629","176013939591210","1420276561361930","1544876412213629","1629881520467896","10208467176067938","10154657161812898","1041419132626819","105435220037636","131398440743449","1493797123974406","1380893971977226","1895157720756776","1316189918497598","297879843998276","1207865039325498","10213222008254488","1518223851563831","288680661584409","1925680167709091","111790246066585","1179365102174259","437371556621677","1361851237233925","1479199595464052","1445654058824522","1905019676403417","824219574411488","207338243118260","1880911652151187","10155384927639319","1932416453659400","10209407043401796","1751381601544748","1299593766756789","1525785377434565","1493700147369213","1190595504402223","846923942141239","1311352918920007","1655414274499349","10211552605483541","1898216180394514","10208781527525426","1052139068251964","1206576336131881","1670391896311586","1325073880861055","10210840051734606","10211119190313874","10155197904090833","127312504497056","1219233791519502","1913386792243096","10208893436396047","1855332401374669","1766631300314175","375436289517914","1555470547804697","10206848893780673","168049887059478","639173366281359","10211164461778692","940964799378376","10213193433217483","1829568767295493","1366698360093560","295502634233856","1497936813571749","10209358077444694","337961949952387","447548698930953","1765356920370210","1300717186663105","10212985164891790","446082549059968","1874261619493864","1943572205874110","1875054432754381","211520129361178","10155348232538140","284760418600935","312559152511058","201909493661896","985061904961996","1568049789896144","10211844167752213","1581660621885374","1925849640986148","280399749087374","1687861801515279","1917405348536771","10154843645669620","10210880197980105","1466810096722792","289876304797848","1377841765631365","1502187003159799","1657506997611195","10211430153424004","1523110387730683","1892145497477844","10209390836432582","10208982306383769","727239484123984","769682293191515","10212464300103759","1349391675096225","10209713505297886","364990893896054","896183650539671","1311814758872184","1383380731743012","2278348685724387","1891988854374106","1992434707644361","1380524422035786","10208823832295302","715803015290265","1414774115250924","10214082958414868","114414932469726","692010071006929","10209714729010282","759220414246096","459775634362645","10212689497900990","805211459636552","742691742570133","621272804743658","1883972878543114","1925509054345888","10213008600400307","366974383699176","1764626870214447","2279509352274465","1453675118023062","1217635775031479","1190724514388990","1267856739978424","1814346225494020","725076351005549","297652010685160","1354978487957094","1294433420678332","10154501769623309","10209385043198418","622585177938618","635111883364372","1803334893316861","1697468760559614","792555330892909","1419178034813851","10213412024920303","823928187756577","1688416301199102","10209275117218980","1500891873294565","830143347150553","110797749499603","1764646213545846","1507940262591532","10208512026388031","435208110175713","1049586245171843","222782451543350","1436504369742564","10210936159777958","1413097888713263","908277985979396","1837529226571280","10155106807902530","755033278010665","1351493251573076","796402033867994","784899061685631","1528291027213360","1642468539115451","10207162680265255","221690328332070","10206924875879641","101621283754456","10213141491475780","10158729495970584","10210767718008038","2134982756728153","296951447411452","1554201814621140","1900428210196467","699875236871378","289590391492511","1751304421552577","370709303326660","1327139584005962","1839406972989470","116823708893637","1460350380682441","1666050307035238","1906943266195106","292199154570598","1033776876757661","437357376640047","1506630266035099","1484270528299843","1376468869104703","461611740838437","1254955644603298","10208941985459141","1048002898665515","1480019155405734","1888032224753434","10158896960250105","1353424198056425","10212987336263597","376875596041791","809748929182387","1245134522265496","1930357713956441","1810691119247509","10211500374058380","10213464066824877","1208948579231300","1571222742908273","1318503218185716","1682402715399065","1396347843765349","1727144747592362","1685089338463487","1924728967784132","10209395614634240","1872164063047615","1770683739624811","190877944766833","1908017676099748","2300838180140679","1924743927809947","10208992109175769","1572533399458111","1341320245936332","536639630058801","10154460098356367","731751080330714","1479989155379366","811081315733203","714316158754513","1986068588287580","226706694488039","1108547582622881","1037317739736199","645907275603741","1811832655811947","1520062654699789","210352329473713","10211707155188711","426282851085666","1359358034179206","1152453381567572","1046822198783039","1374011135999901","1539441872755766","453912851621122","10206905615558257","1678248502202837","1565425020165780","10207241896604742","547818085388401","468150520185894","1430902490313571","1366243790129835","1815082048505780","762795887214104","1829233434064072","1679615408715234","1326496210720880","1563941320283456","1579892165377134","298922913894888","1902708846672894","1518629554815332","10208188200213743","1808756259453863","1724129384270664","158926827976948","1896928327188236","679979452195117","1470614909626604","1834235650236568","1686522251653164","809441675877441","434414423581091","2300965250128962","1319391108096931","10207397837983820","1497730450290602","1668121866830215","126093127954000","1834378003548742","1485861181465371","1711512852196981"];